ranges::views::adjacent_remove_if_base_fn Struct Reference
Inheritance diagram for ranges::views::adjacent_remove_if_base_fn:

## Public Member Functions

template<typename Rng , typename Pred >
CPP_TEMPLATE_AUX_0 | c (requires ` viewable_range< Rng > &&forward_range< Rng > &&indirect_binary_predicate_< Pred, iterator_t< Rng >, iterator_t< Rng >>) ccconstexpr adjacent_remove_if_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Pred | operator() (Rng &&rng, Pred pred) const